import adonthell
import torch

# -- initialize event handler and gametime subsystems
adonthell.event_handler_init ()
adonthell.gametime_init (20)

switch = 1

# -- create some torches:
mySmallTorch = adonthell.item_base ()
mySmallTorch.load ("small_torch.item")
myLargeTorch = adonthell.item_base ()
myLargeTorch.load ("large_torch.item")
myBurntTorch = adonthell.item_base ()
myBurntTorch.load ("burnt_torch.item")

# -- get python torch object
pySmallTorch = mySmallTorch.get_instance ()
pyLargeTorch = myLargeTorch.get_instance ()
pyBurntTorch = myBurntTorch.get_instance ()

# -- turn on large torch
pyLargeTorch.use (None)

while 1:
    switch = switch + 1
    if switch % 500 == 0: 
        pySmallTorch.use (None)
        pyBurntTorch.use (None)
    elif switch == 2345: pyLargeTorch.use (None)
    elif switch == 3456: pyLargeTorch.use (None)

    # -- update Adonthell's internal clock
    adonthell.gametime_update ()
    adonthell.gamedate_update ()
